.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

body {
  box-sizing: border-box;
  background-color: #f5f5f5;
  font-size: 10px;
}

button {
  cursor: pointer;
}

.wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  height: 63%;
  width: 80%;
  margin-top: -200px;
}

.list-item {
  display: flex;
  justify-content: flex-start;
  width: 90%;
  align-items: baseline;
  padding: 15px;
  font-size: 1.44rem;
  box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;
}

.list-item .close-button {
  visibility: hidden;
}

.list-item:hover .close-button {
  visibility: visible;
}

.list-item-input {
  width: 99%;
  height: 60px;
  padding-top: 15px;
  background: rgba(0, 0, 0, 0.003);
  box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 8px;
  display: flex;
  align-items: baseline;
}

.list-text {
  margin-left: 5%;
}

.close-button {
  border: none;
  background-color: white;
  font-size: 1.4rem;
  padding: 10px;
  color: #cc9a9a;
  transition: color 0.2s ease-out;
}

.close-button:hover {
  color: #af5b5e;
}

.line-through {
  color: #d9d9d9;
  text-decoration: line-through;
}

.todos {
  width: 100%;
  font-size: 100px;
  font-weight: 300;
  text-align: center;
  color: rgba(175, 47, 47, 0.15);
}

.card-container {
  background-color: white;
  height: auto;
  max-width: 600px;
  width: 100%;
  display: flex;
  flex-direction: column;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  box-shadow: 0 1px 1px rgb(0 0 0 / 20%), 0 8px 0 -3px #f6f6f6,
    0 9px 1px -3px rgb(0 0 0 / 20%), 0 16px 0 -6px #f6f6f6,
    0 17px 2px -6px rgb(0 0 0 / 20%);
}

.card-input {
  width: 100%;
  height: 60px;
  padding-top: 15px;
  background: rgba(0, 0, 0, 0.003);
  box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 8px;
  display: flex;
  align-items: baseline;
}

.card-input-task {
  width: 96.5%;
  height: 60%;
  border: none;
  padding-top: 10px;
}

.icon {
  font-size: 1.3rem;
  padding-left: 16px;
  color: #d9d9d9;
}

.card-input-task:focus {
  outline: none;
}

.card-input-task::placeholder {
  font-size: 1.5rem;
  color: #d9d9d9;
  padding-left: 25px;
}

.card-list {
  padding-top: 15px;
}

.footer {
  width: 100%;
  height: 35px;
  display: flex;
  align-items: center;
  color: #777;
  padding: 8px;
  padding-left: 25px;
}

.footer > button {
  border: none;
  background-color: white;
  color: #777;
}

.border-active {
  /* border: 1px solid #61dafb ; */
  border: 0.2px solid rgb(218, 218, 218) !important;
}

.items-left {
  font-size: 0.9rem;
  padding-right: 90px;
}

.footer-clear {
  padding-left: 95px;
}

.visibility {
  visibility: hidden;
}
